### Method

# EDataServer Source camel_configure_service

since: 3.6

#### Declaration [src]

    void
    e_source_camel_configure_service (
      ESource* source,
      CamelService* service
    )

#### Description [src]

This function essentially glues together `source` and `serivce` so their configuration settings stay synchronized. The glue itself is a shared `CamelSettings` instance.

Call this function immediately after creating a new `CamelService` with camel_session_add_service().

Available since: 3.6

#### Parameters

`service`

  Type: `CamelService`

  A `CamelService`.

  The data is owned by the caller of the method.